Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsViewStaticCommand

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsViewCommand
          com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
              com.ibm.wps.portlets.struts.WpsStrutsViewStaticCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

    public class WpsStrutsViewStaticCommand

extends WpsStrutsFilteredViewCommand

The `WpsStrutsViewStaticCommand` class is a command pattern class used to encapsulate the information needed to redisplay a view. This particular subclass deals with HTML pages, or any static content page placed in the output buffer as-is.

Since:
  4.1
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `HOME_FORWARD_NAME` The forward name to look for to indicate the path for a home button on static content.
`protected static MessageResources` | `messages` The message resources for the Struts Portlet Framework.

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
`wpsStrutsTranscodingRequestWrapper`

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`LAST_MODIFIED, PREFIX`

Constructor Summary
`WpsStrutsViewStaticCommand(java.lang.String uri, HttpServletRequest request)` Constructs this WpsStrutsViewStaticCommand command.

Method Summary
`protected void` | `executeCommand(PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Executes the given command given the request and response objects.
`java.lang.String` | `getURI()` Returns the URI string.

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsFilteredViewCommand
`execute, inStrutsPortletFilterContext, isDebugOn, isWarnOn, trace`

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`addAttribute, addAttributeNameToSave, addAttributeTypeToSave, addParameterNameToSave, execute, getLastModified, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, removeAttributeNameToSave, removeAttributeTypeToSave, removeParameterNameToSave, repopulateRequest, saveAsAttribute, saveAsParameter, saveAttribute, saveAttributes, saveAttributes, saveCommand, saveCommand, saveParameter, saveParameters, setLastModified, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for the Struts Portlet Framework.

### HOME_FORWARD_NAME

    public static final java.lang.String HOME_FORWARD_NAME

  The forward name to look for to indicate the path for a home button on static content.

  See Also:
    Constant Field Values

Constructor Detail

### WpsStrutsViewStaticCommand

    public WpsStrutsViewStaticCommand(java.lang.String uri,
                                      HttpServletRequest request)

  Constructs this WpsStrutsViewStaticCommand command.

  Parameters:
    `uri` - the URI path to the static page
    `request` - The request object to save context information from

Method Detail

### getURI

    public java.lang.String getURI()

  Returns the URI string.

  Returns:
    uri string

### executeCommand

    protected void executeCommand(PortletRequest request,
                                  PortletResponse response,
                                  ViewCommandExecutionContext executionContext)

  Executes the given command given the request and response objects.

  Specified by:
    `executeCommand` in class `WpsStrutsFilteredViewCommand`
  Parameters:
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD